Fetch sub-account details by sub-account ID.
curl --request GET \
--url https://business-api.onboard.xyz/ledger/subaccounts/{subAccountIdRef} \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/subaccounts/{subAccountIdRef}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/subaccounts/{subAccountIdRef}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"currency": "USD",
"accountBalance": {
"balance": 1000,
"availableBalance": 1000
},
"frozen": false,
"createdDate": "2023-11-07T05:31:56Z",
"displayName": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Request could not be validated."
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "ACCESS_DENIED",
"message": "Expected permission or scope is not present."
}{
"code": "NOT_FOUND",
"message": "Information could not be found"
}{
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred."
}Virtual Account
Get Sub-account by Reference
This endpoint returns sub-account details by sub-account ID.
GET
/
ledger
/
subaccounts
/
{subAccountIdRef}
Fetch sub-account details by sub-account ID.
Fetches a single sub-account by its reference.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
The unique onboard sub-account ID or reference
Response
Sub-account fetched Successfully
Unique sub-account ID
The main account ID to which this sub-account belongs.
A unique reference for the sub-account.
Currency of the sub-account
Example:
"USD"
Account balance details
Show child attributes
Show child attributes
Indicates if the sub-account is frozen (locked) or not.
The date the sub-account was created.
An optional name for the sub-account.